#!/bin/bash

ARTIFACTS_DIR="$IMAGES_PATH/$MACHINE"

count_uboot_files=0
count_image=`ls -1 $ARTIFACTS_DIR/$KERNEL_FILE 2>/dev/null | wc -l`
count_dtb=`ls -1 $ARTIFACTS_DIR/*.dtb 2>/dev/null | wc -l`
count_dtbo=`ls -1 $ARTIFACTS_DIR/*.dtbo 2>/dev/null | wc -l`
count_fs=`ls -1 $ARTIFACTS_DIR/*.$FS_EXTENSION 2>/dev/null | wc -l`
count_wic=`ls -1 $ARTIFACTS_DIR/*.$IMAGE_EXTENSION 2>/dev/null | wc -l`
count_bundle=`ls -1 $ARTIFACTS_DIR/*.raucb 2>/dev/null | wc -l`

if [[ $UBOOT_FILE != *"none"* ]]; then
  count_el=0
  for i in $UBOOT_FILE; do
    count_tmp=0
    count_tmp=`ls -1 $ARTIFACTS_DIR/$i 2>/dev/null | wc -l`
    count_uboot_files=$(($count_uboot_files+$count_tmp))
    count_el=$((count_el+1))
  done
  if [ $count_uboot_files -eq 0 ]; then
    echo "No uboot artifacts were compiled, exiting with error 1 .."
    exit 1
  elif [ $count_uboot_files -gt 0 ] && [ $count_uboot_files -lt "$count_el" ]; then
    echo "uboot artifacts lower than expected found, warning!"
  else 
    echo "All uboot artifacts were found!"
  fi
fi

if [[ $KERNEL_FILE != *"none"* ]]; then
  if [ $count_image -eq 0 ]; then
    echo "No kernel image artifacts were compiled, exiting with error 1 .."
    exit 1
  else
    echo "Kernel image artifacts were found!"
  fi

  if [ $count_dtb -eq 0 ]; then
    echo "No dtb artifacts were compiled, exiting with error 1 .."
    exit 1
  else
    echo "dtb artifacts were found!"
  fi

  if [ $count_dtbo -eq 0 ]; then
    echo "No dtbo artifacts were compiled, warning!"
  else
    echo "dtbo artifacts were found!"
  fi
fi

if [ $count_fs -eq 0 ]; then
    echo "No filesystem artifacts were compiled, exiting with error 1 .."
    exit 1
else
    echo "Filesystem artifacts were found!"
fi

if [ $count_wic -eq 0 ]; then
  echo "No image artifacts were compiled, exiting with error 1 .."
  exit 1
else
  echo "Image artifacts were found!"
fi

if [[ "$CI_JOB_NAME" != *"embedded"* ]]; then 
  if [ $count_bundle -eq 0 ]; then
    echo "No bundle artifacts were compiled, exiting with error 1 .."
    exit 1
  else
    echo "Bundle artifacts were found!"
  fi
fi